[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Virtual_mcnp_output` Component

Detector-like component that writes neutron state parameters into a 'virtual source' neutron file with MCNP/PTRAC format.

## Identification

- Author: Chama Hennane
- Origin:(Unknown)
- Date: July 7th, 2006
- Version: 1.3

## Description

    Detector-like component writing neutron state parameters to a
    virtual source neutron file with MCNP/PTRAC format.
    The component geometry is the full plane, and saves the neutron state as
    it exits from the previous component.
    Format is the one used by MCNP 5 files :

       position_X position_Y position_Z dir_X dir_Y dir_Z energy weight time

    energy is in Mega eV
    positions are in cm and the direction vector is normalized to 1.

    %BUGS
    We recommend not to use parallel execution (MPI/Threads) with this component.

    EXAMPLE:
    To create a file collecting all neutron states with MCNP5 format
    COMPONENT fichier_sortie = Virtual_mcnp_output(
       file = "exit_guide_result.dat")
     at the position where will be the Virtual_mcnp_input.

WARNING: This is a contributed Component.

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
file | str | name of the MCNP5 neutron output file, or stdout if left to 0. | 0

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
hfile |  |  |

## Links

- Source code for `Virtual_mcnp_output.comp`.
- MCNP
- MCNP -- A General Monte Carlo N-Particle Transport Code, Version 5, Volume II: User's Guide, p177

[ Identification | Description | Input parameters | Output parameters | Links ]